.game-selector {
    display: flex;
    gap: 12px;
    margin-bottom: 8px;
    flex-wrap: nowrap;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    padding-bottom: 4px;
}

.game-selector::-webkit-scrollbar {
    height: 1px;
}

.game-selector::-webkit-scrollbar-thumb {
    background-color: #f3502c;
    border-radius: 2px;
}

.game-option {
    flex: 0 0 auto; /* Не позволяет сжиматься */
    display: flex;
    align-items: center;
    padding: 8px 12px;
    background: #1e1e1e;
    border-radius: 6px;
    cursor: pointer;
    transition: 0.2s ease;
    border: 1px solid transparent;
    white-space: nowrap;

    user-select: none;
    -webkit-user-select: none; /* Safari */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* IE/Edge */

    margin-bottom: 0;
}

.game-option img {
    width: 20px;
    height: 20px;
    margin-right: 6px;
}

.game-option input[type="radio"] {
    display: none;
}

.game-option.selected,
.game-option input[type="radio"]:checked + span {
    border-color: #f3502c;
}

.game-option:hover {
    background-color: #292929;
}

.game-option span {
    font-size: 14px;
    color: #fff;
}

.result-block {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 64px;
    flex-wrap: wrap;
    gap: 10px;
}

.total-info {
    color: #ffffff;
    font-size: 18px;
    animation: pulse-highlight 3s infinite;
}

.total-info strong {
    font-weight: bold;
    color: #ffffff;
    animation: pulse-highlight 3s infinite;
}

.filters {
    display: flex;
    gap: 0;
    border: 1px solid #323f53;
    border-radius: 8px;
    overflow: hidden;
    background-color: #1e1e1e;
}

.filter-button {
    background-color: #1e1e1e;
    color: #ffffff;
    padding: 6px 14px;
    cursor: pointer;
    font-size: 14px;
    border-right: 1px solid #323f53;
    user-select: none;
    display: flex;
    align-items: center;
    transition: background-color 0.25s ease, color 0.25s ease;
    margin-bottom: 0;
}

.filter-button:last-child {
    border-right: none;
}

.filter-button input {
    display: none;
}

.filter-button:hover {
    background-color: #2a2a2a;
}

.filter-button input:checked + span {
    /* background-color: #323f53; */
    color: #ffffff;
    border-radius: 0;
}

.filter-button.active {
    background-color: #323f53;
}

@keyframes pulse-highlight {
    0% {
        color: #ffffff;
    }
    20% {
        color: #f3502c;
    }
    40% {
        color: #ffffff;
    }
    100% {
        color: #ffffff;
    }
}

.loader-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 12px;
}

.spinner {
    width: 38px;
    height: 38px;
    border: 3px solid rgba(255, 255, 255, 0.1);
    border-top: 3px solid #f3502c; /* оранжевый акцент */
    border-radius: 50%;
    animation: spin 0.8s linear infinite;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

#inventory-table {
    font-size: 14px;
}

.dataTable-table > tbody > tr > td, .dataTable-table > tbody > tr > th, .dataTable-table > tfoot > tr > td, .dataTable-table > tfoot > tr > th, .dataTable-table > thead > tr > td, .dataTable-table > thead > tr > th {
    padding: 6px 10px;
    vertical-align: baseline;
}

.dataTable-table > thead > tr > td, .dataTable-table > thead > tr > th {
    padding: 10px 10px;
    font-size: 14px;
    vertical-align: middle;
}

.dataTable-sorter::before {
    border-top: 4px solid #fff;
    bottom: 6px;
}

.dataTable-sorter::after {
    border-bottom: 4px solid #fff;
    border-top: 4px solid transparent;
    top: 2px;
}

.dataTable-table > tbody > tr:hover > td {
    background-color: #1e2433;
    color: white;
}

.dataTable-table > tbody > a:hover {
    text-decoration: underline !important;
}

.dataTable-wrapper .dataTable-selector {
    font-size: 14px;
    padding: 1px 1px;
    border: 0;
    background-color: transparent;
    color: #ddd;
}

/* Надпись "entries per page" */
.dataTable-wrapper .dataTable-info, .dataTable-dropdown {
    font-size: 11px;
    color: #aaa;
}

.dataTable-wrapper .dataTable-pagination {
    display: flex;
    gap: 6px;
    justify-content: flex-end;
    margin-top: 10px;
    font-size: 14px;
}

.dataTable-wrapper .dataTable-pagination li a {
    padding: 4px 10px;
    border-radius: 4px;
    background-color: #1e2433;
    color: #ccc;
    border: 0;
    text-decoration: none;
    transition: background-color 0.2s ease;
}

.dataTable-wrapper .dataTable-pagination li a:hover {
    background-color: #323f53;
    color: #fff;
}

/* Активная страница */
.dataTable-wrapper .dataTable-pagination li.active a {
    background-color: #323f53;
    /*color: #111;*/
    font-weight: bold;
}

/* Стрелки (‹ ›) */
.dataTable-wrapper .dataTable-pagination li:first-child a,
.dataTable-wrapper .dataTable-pagination li:last-child a {
    padding: 4px 8px;
}

.dataTable-wrapper th {
    background-color: #1e2433;
}

.dataTable-wrapper th.asc,
.dataTable-wrapper th.desc {
    color: #ff5938;
}

.dataTable-table > tfoot > tr > td {
    border: 0;
}

.dataTable-wrapper.no-footer .dataTable-container {
    border-bottom: 0;
}

.dataTable-container {
    border: 1px solid #323f53;
    border-radius: 3px;
}

.dataTable-table > thead > tr > th {
    border-bottom: 1px solid #323f53;
}

.dataTable-table > tbody > tr > td {
    border-bottom: 1px solid #323f53;
}

.dataTable-wrapper .dataTable-pagination {
    margin-top: 0;
}

.dataTable-bottom {
    padding: 8px 0;
}

.table-scroll {
    overflow-x: auto;
    -webkit-overflow-scrolling: touch; /* плавный скролл для iOS */
    scrollbar-width: thin;
}

.link-to-steam {
    font-size: 14px;
    color: #acacac;
    text-decoration: underline;
}

.link-to-steam:hover {
    color: #ff5938;
}

.center-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 70px;
    margin-bottom: 40px;
    /*min-height: 20vh;*/
    /*padding-top: 10px; !* можно настроить отступ *!*/
    box-sizing: border-box;
}
